# The MEME Suite

## Motif-based sequence analysis tools

## compute-uniform-priors

### Usage:

`compute-uniform-priors [prior value] <psp file>`

### Description

This program reads a MEME PSP file and computes a uniform prior equal to the mean of the input priors. Alternatively the user may specify the uniform prior value to be written.

The a PSP file containing the uniform priors is writen to stdout.

### Input

#### <prior value>

(Optional) The prior value to be used instead of the mean value of the priors in the input file.

#### PSP Filename

#### <psp file>

The name of a PSP file in MEME PSP format.

### Output

Output is in MEME PSP format with 10 entries of the uniform prior per line.

### Options

There are no optional arguments.